rte_flow_conv_rule(3)

NAME
rte_flow_conv_rule

SYNOPSIS

#include <rte_flow.h>

Detailed Description

Complete flow rule description.

This object type is used when converting a flow rule description.

See also
    RTE_FLOW_CONV_OP_RULE

    rte_flow_conv()

Definition at line 4392 of file rte_flow.h.

Field Documentation

  const struct rte_flow_attr* attr_ro
RO attributes.

Definition at line 4394 of file rte_flow.h.

  struct rte_flow_attr* attr
Attributes.

Definition at line 4395 of file rte_flow.h.

  const struct rte_flow_item* pattern_ro
RO pattern.

Definition at line 4398 of file rte_flow.h.

  struct rte_flow_item* pattern
Pattern items.

Definition at line 4399 of file rte_flow.h.

  const struct rte_flow_action* actions_ro
RO actions.

Definition at line 4402 of file rte_flow.h.

  struct rte_flow_action* actions
List of actions.

Definition at line 4403 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.